## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%global tag 1.7pre0

Name:           iotools
Version:        1.7~pre0
Release:        %autorelease
Summary:        Set of command line tools to access hardware device registers

License:        GPLv2
# Original upstream at https://github.com/adurbin/iotools is no longer
# developed, so use a maintained fork instead
URL:            https://github.com/aaron-sierra/iotools
Source0:        %{url}/archive/v%{tag}/%{name}-%{tag}.tar.gz

BuildRequires:  gcc
BuildRequires:  make

%description
The iotools package provides a set of simple command line tools which allow
access to hardware device registers. Supported register interfaces include
PCI, IO, memory mapped IO, SMBus, CPUID, and MSR. Also included are some
utilities which allow for simple arithmetic, logical, and other operations.


%prep
%autosetup -n %{name}-%{tag}

%build
%set_build_flags
%if 0%{?el8}
export CC="%{__cc}"
%endif
%make_build STATIC=0 DEBUG=0 CC="$CC" EXTRA_CFLAGS="$CFLAGS"

%install
# Not using make install as it will install a lot of conflicting symlinks
install -Dpm0755 -t %{buildroot}%{_sbindir} iotools

%files
%license COPYING
%doc README TODO.txt
%{_sbindir}/iotools

%changelog
* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> 1.7~pre0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.7~pre0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.7~pre0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Aug 13 2021 Davide Cavalca <dcavalca@fedoraproject.org> 1.7~pre0-2
- Ensure CC is set on el8

* Fri Aug 13 2021 Davide Cavalca <dcavalca@fedoraproject.org> 1.7~pre0-1
- Initial import; Fixes: RHBZ#1986613
